Debian Bug report logs - #691741
Provides: boom-engine, but does not supply /usr/games/boom

version graph

Package: vavoom; Maintainer for vavoom is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for vavoom is src:vavoom.

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Mon, 29 Oct 2012 10:48:01 UTC

Severity: normal

Found in version vavoom/1.33-4

Fixed in version vavoom/1.33-5

Done: Jon Dowland <jmtd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#691741; Package vavoom. (Mon, 29 Oct 2012 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 29 Oct 2012 10:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Provides: boom-engine, but does not supply /usr/games/boom
Date: Mon, 29 Oct 2012 11:51:07 +0100
Package: vavoom
Version: 1.33-4
Severity: normal

Hi,

since revision 1.33-4, vavoom provides the virtual boom-engine package.
However, it does not supply an alternative for the corresponding binary in
/usr/games/boom. This means, vavoom satisfies freedoom's depends on a boom-
engine, but fails to start it:

$ freedoom
/usr/games/freedoom: 5: /usr/games/freedoom: /usr/games/boom: not found

 - Fabian

PS: The pkg-games GIT repo is out of sync with the package in unstable!



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (901, 'testing'), (502, 'unstable'), (501, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages vavoom depends on:
ii  libc6                     2.13-35
ii  libflac++6                1.2.1-6
ii  libflac8                  1.2.1-6
ii  libgcc1                   1:4.7.1-7
ii  libgl1-mesa-glx [libgl1]  8.0.4-2
ii  libjpeg8                  8d-1
ii  libmad0                   0.15.1b-7
ii  libmikmod2                3.1.12-4
ii  libogg0                   1.3.0-4
ii  libpng12-0                1.2.49-1
ii  libsdl-mixer1.2           1.2.12-3
ii  libsdl1.2debian           1.2.15-5
ii  libstdc++6                4.7.1-7
ii  libvorbis0a               1.3.2-1.3
ii  libwxbase2.8-0            2.8.12.1-12
ii  libwxgtk2.8-0             2.8.12.1-12
ii  zlib1g                    1:1.2.7.dfsg-13

Versions of packages vavoom recommends:
ii  freedoom [boom-wad]  0.8~beta1-1
ii  game-data-packager   30

vavoom suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#691741; Package vavoom. (Wed, 07 Nov 2012 08:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 07 Nov 2012 08:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 691741@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>, 691741@bugs.debian.org
Subject: Re: Bug#691741: Provides: boom-engine, but does not supply /usr/games/boom
Date: Wed, 7 Nov 2012 08:40:41 +0000
On Mon, Oct 29, 2012 at 11:51:07AM +0100, Fabian Greffrath wrote:
> since revision 1.33-4, vavoom provides the virtual boom-engine package.
> However, it does not supply an alternative for the corresponding binary in
> /usr/games/boom. This means, vavoom satisfies freedoom's depends on a boom-
> engine, but fails to start it:
> 
> $ freedoom
> /usr/games/freedoom: 5: /usr/games/freedoom: /usr/games/boom: not found
 
There are two ways to fix this problem.

The first is to provide an alternative for boom, but 'vavoom' does not support
the -iwad flag used by /usr/games/boom, so we would need to write a wrapper.

The wrapper would need to convert -iwad /foo/bar/doom2.wad into a mixture of
-iwaddir /foo/bar and -doom2. But how can it know that the file doom2.wad is
doom2? Do we

1) hardcode a list of basename:game mappings (doom2.wad:doom2; DOOM2.WAD:doom2…)
2) hardcode a list of hashes and compare the arguments

Both are quite involved for a simple wrapper and prone to failure if someone
modifies their IWAD etc.


The second way would be to modify freedoom's wrapper to inspect what is
providing 'boom' and switch to using vavoom flags if it detects vavoom.
This is also prone to fail, perhaps boom is a custom alternative set by
the sysadmin,  or points at a binary that we don't recognise. But I think
that's probably less likely than the above.

> PS: The pkg-games GIT repo is out of sync with the package in unstable!

I've fixed this now, thanks for pointing it out.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#691741; Package vavoom. (Thu, 08 Nov 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 08 Nov 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 691741@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Jon Dowland <jmtd@debian.org>
Cc: 691741@bugs.debian.org
Subject: Re: Bug#691741: Provides: boom-engine, but does not supply /usr/games/boom
Date: Thu, 08 Nov 2012 14:41:17 +0100
[Message part 1 (text/plain, inline)]
Am 07.11.2012 09:40, schrieb Jon Dowland:
> The first is to provide an alternative for boom, but 'vavoom' does not support
> the -iwad flag used by /usr/games/boom, so we would need to write a wrapper.

Actually, vavoom *does* have this flag, c.f. source/file.cpp:492. It 
is just not documented anywhere...

The difference is that vavoom expects a file name relative to 
"iwaddir" as a parameter. That is, if you have both the 
"doom-wad-shareware" and the "freedoom" Debian packages installed, 
then "vavoom -iwad doom1.wad" will start the Shareware version and 
"vavoom -iwad freedoom.wad" will start Freedoom. Even relative paths 
are possible, e.g. "vavoom -iwad ../doom/doom1.wad" does also work. 
However, what does *not* work is absolute paths like "vavoom -iwad 
/usr/share/games/doom/doom1.wad", but that's exactly what is needed in 
/usr/games/freedoom.

The attached patch fixed exact this, i.e. it checks if the passed 
string is an absolute path (i.e. it begins with '/') and then 
separates it into the path itself - which gets added to IWadDirs (yes, 
there can be more than one) - and the actual file name, else it treats 
the string just as before. However, this may confuse users who want to 
pass the file name of an iwad in the current directory or in a 
directory relative to it. But changing this would break the current 
(though undocumented) behaviour, so I am not sure how to proceed.

 - Fabian

[vavoom-iwad.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#691741; Package vavoom. (Fri, 09 Nov 2012 08:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 09 Nov 2012 08:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 691741@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 691741@bugs.debian.org
Cc: Jon Dowland <jmtd@debian.org>
Subject: Re: Bug#691741: Provides: boom-engine, but does not supply /usr/games/boom
Date: Fri, 09 Nov 2012 09:37:35 +0100
[Message part 1 (text/plain, inline)]
Am 08.11.2012 14:41, schrieb Fabian Greffrath:
> the string just as before. However, this may confuse users who want to
> pass the file name of an iwad in the current directory or in a
> directory relative to it. But changing this would break the current
> (though undocumented) behaviour, so I am not sure how to proceed.

I think the patch attached to this mail solves this issue way more 
elegantly. Whenever an iwad file is given on the command line, the 
path to that file is made the first choice in the list of possible 
iwaddirs. If it is an absolute path, the path itself is used for the 
iwaddir and separated from the file name. If it is a relative path or 
a single file name, the current directory is used for the iwaddir and 
the relative path or file name is used for the main wad file name.

That way, if you have a doom.wad in your current directory and type 
"vavoom -iwad doom.wad" it will take this file. If the file is absent, 
then it will take the one from the next directory in the iwaddirs 
array, i.e. typically /u/s/g/d/doom.wad. Thus, relative paths works as 
before, but precedence is taken by files that satisfy the path based 
on the current working directory. This is, IMHO, how all other tools 
in *NIX are expected to work. It is, furthermore, consistent with 
prboom's behaviour, at least in the limited range of tests that I 
performed.

I have, however, not yet figured out how the '-doom', '-doom2' etc. 
parameteres work in vavoom, but I think they are just shortcuts for 
the '-iwad' parameter in case there is more than one valid iwad file 
available in iwaddirs.

 - Fabian

[vavoom-iwad.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#691741; Package vavoom. (Fri, 09 Nov 2012 13:06:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 09 Nov 2012 13:06:17 GMT) Full text and rfc822 format available.

Message #25 received at 691741@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 691741@bugs.debian.org
Cc: Jon Dowland <jmtd@debian.org>
Subject: Re: Bug#691741: Provides: boom-engine, but does not supply /usr/games/boom
Date: Fri, 09 Nov 2012 14:07:54 +0100
Am 09.11.2012 09:37, schrieb Fabian Greffrath:
> That way, if you have a doom.wad in your current directory and type
> "vavoom -iwad doom.wad" it will take this file. If the file is absent,
> then it will take the one from the next directory in the iwaddirs
> array, i.e. typically /u/s/g/d/doom.wad. Thus, relative paths works as
> before, but precedence is taken by files that satisfy the path based
> on the current working directory.

Erm, we can have all of this without any source code changes if we 
just changed the -iwaddir parameter in the /u/g/vavoom wrapper script 
to read "-iwaddir . / /usr/share/games/doom/", i.e. we merely add "." 
and "/" to take care of relative and absolute paths respectively.

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#691741; Package vavoom. (Mon, 12 Nov 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 12 Nov 2012 10:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 691741@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Fabian Greffrath <fabian@greffrath.com>, 691741@bugs.debian.org
Cc: Jon Dowland <jmtd@debian.org>
Subject: Re: Bug#691741: Provides: boom-engine, but does not supply /usr/games/boom
Date: Mon, 12 Nov 2012 11:18:14 +0100
Am 09.11.2012 14:07, schrieb Fabian Greffrath:
> Erm, we can have all of this without any source code changes if we
> just changed the -iwaddir parameter in the /u/g/vavoom wrapper script
> to read "-iwaddir . / /usr/share/games/doom/", i.e. we merely add "."
> and "/" to take care of relative and absolute paths respectively.

I have taken the liberty to fix this myself in GIT master. The vavoom 
executable now registeres itself as an alternative for doom and boom 
and works perfectly with the freedoom wrapper script. Furthermore, I 
have fixed what I considered glitches in the packaging. Please review, 
thanks!

 - Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#691741; Package vavoom. (Tue, 13 Nov 2012 21:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 13 Nov 2012 21:57:09 GMT) Full text and rfc822 format available.

Message #35 received at 691741@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>, 691741@bugs.debian.org
Subject: Re: Bug#691741: Provides: boom-engine, but does not supply /usr/games/boom
Date: Tue, 13 Nov 2012 21:54:38 +0000
On Mon, Nov 12, 2012 at 11:18:14AM +0100, Fabian Greffrath wrote:
> I have taken the liberty to fix this myself in GIT master. The
> vavoom executable now registeres itself as an alternative for doom
> and boom and works perfectly with the freedoom wrapper script.
> Furthermore, I have fixed what I considered glitches in the
> packaging. Please review, thanks!

Looks great - pushing to experimental now. Thanks!




Reply sent to Jon Dowland <jmtd@debian.org>:
You have taken responsibility. (Tue, 13 Nov 2012 22:36:06 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Tue, 13 Nov 2012 22:36:06 GMT) Full text and rfc822 format available.

Message #40 received at 691741-close@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: 691741-close@bugs.debian.org
Subject: Bug#691741: fixed in vavoom 1.33-5
Date: Tue, 13 Nov 2012 22:32:51 +0000
Source: vavoom
Source-Version: 1.33-5

We believe that the bug you reported is fixed in the latest version of
vavoom, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jon Dowland <jmtd@debian.org> (supplier of updated vavoom package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 13 Nov 2012 21:53:04 +0000
Source: vavoom
Binary: vavoom
Architecture: source amd64
Version: 1.33-5
Distribution: experimental
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Jon Dowland <jmtd@debian.org>
Description: 
 vavoom     - Advanced Doom/Heretic/Hexen/Strife engine
Closes: 676580 691741
Changes: 
 vavoom (1.33-5) experimental; urgency=low
 .
   [ Jon Dowland ]
   * Reword the long description a bit. Thanks Filipus Klutiero.
     Closes: #676580.
 .
   [ Fabian Greffrath ]
   * Fix Vcs-Browser field in debian/control.
   * Install vavoom.desktop via vavoom.install file, instead of moving it around
     in debian/rules.
   * Try to avoid some unnecessary dependencies.
   * Add . and / to the -iwaddir parameters in the wrapper scripts. This allows
     to specify IWADs via the -iwad parameter by either relative and absolute
     path names, which is needed for the freedoom wrapper script to work.
   * Add postinst and prerm scripts to register vavoom as an alternative for
     doom and boom (Closes: #691741).
Checksums-Sha1: 
 4e9613e661c42c4dcf13d6aec5e7f5acdd251204 2076 vavoom_1.33-5.dsc
 79845b4abf954dbe4a46a9c77bf0fddcf4a174bf 10787 vavoom_1.33-5.debian.tar.gz
 e58a15b5303e644f692402710e122f07f016cbc8 3275442 vavoom_1.33-5_amd64.deb
Checksums-Sha256: 
 e381f336f7cd927088b04ae36f46ba4167203bcdb807e9f94bf907d0234a4769 2076 vavoom_1.33-5.dsc
 49d4772a7a7b9b37bb849a60715e13557487c50d632a83d7d8da3844bf3579b0 10787 vavoom_1.33-5.debian.tar.gz
 985027cf81438b8903b5f52439db92be176d28f36ffe19a97d4a3c7aa1cf61e2 3275442 vavoom_1.33-5_amd64.deb
Files: 
 651881cf98b01fc5e255856b7a34b0b9 2076 games extra vavoom_1.33-5.dsc
 577125eebd45bb70307fb8e4f42a0589 10787 games extra vavoom_1.33-5.debian.tar.gz
 24c6f7eeaced5a7d1d8c04b316abb7c1 3275442 games extra vavoom_1.33-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQosdNAAoJEAkHQJYGqqqqgDYP/0MDjXOCssOb6RHcRG0itn7v
YmJmkxpZqgVAV6GMSzYGAIHnFph/ozbKBoPFZVavBbGyXsXnB3X6yHuhL2RVwEEr
zduqNGx0mJ62+qRbDWrLVR8sGApoGV3e48axjGNEp+8Y1VDLQOPykxZF+fro7f8m
+8sM5vuYjuhmABvaA9rzUaLQyny1lXIe8X9VHv2q8DOviykEFEV2LqsbG3IOUXLH
YS9dzUISqDTtiVCj/AMvpr8xlIi0G7lSG1RymACEFhY1d5lMVUCsVLTynYT+RqMy
vsokQZDok9cqMoUwXuSe15qpniWbFzpde6yOE0FmeujxGsyJvW4luDS7RWE7mWiK
oRjofwRvUNd+rlDZZdOi7gzP3cIN4Lc9rswhZZX9mbdHKq0+QL/hmRjzrZfmji08
gGUCLkPB356H6wZPtlRc8drXf1ihGI5JlmgHOnxN5RUA+2GWYvLQOs3OiR+mDmaE
X/ssSGpptFVrwyAWJTlaS1UR/xddS893/igw106w96xPFKog5LJ4KGz+3OhvcLgm
HlAwqBPuTPqWv/BwUZH4wMJGiCg4i48E6c7RGJMEYuGnty+7VPakbvMlE8gv7IqT
KIYLhKLQFS1REuNbdqCLgh4uFemmU03g+Y9EWJuBL2bt7elFR5sf6JTHFmQOSdeV
WxCf0y9SqRGsp8DHpXxe
=nlb9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Mar 2014 07:29:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:22:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.